### Hierarchy

- Route

## Index

### Properties

- action
- actionParams
- component
- componentProps
- el
- exact
- state
- url

### Methods

- componentDidLoad
- getUrl
- render

## Properties

### action

action: string

- Defined in router/route/route.tsx:14

### actionParams

actionParams: string

- Defined in router/route/route.tsx:15

### component

component: string

- Defined in router/route/route.tsx:10

### componentProps

componentProps: string

- Defined in router/route/route.tsx:11

### el

el: HTMLElement

- Defined in router/route/route.tsx:8

### exact

exact: boolean = false

- Defined in router/route/route.tsx:13

### state

state: any

- Defined in router/route/route.tsx:9

### url

url: string

- Defined in router/route/route.tsx:12

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in router/route/route.tsx:17

  #### Returns void

### getUrl

- getUrl(): Promise<string>

- - Defined in router/route/route.tsx:22

  #### Returns Promise<string>

### render

- render(): any

- - Defined in router/route/route.tsx:26

  #### Returns any